Subject: bug#1768: 23.0.60; proced-mode should be autoloaded

From: Juanma Barranquero <[email-masked]>
Date: Mon, 19 Jan 2009 01:56:37 +0100

On Fri, Jan 2, 2009 at 19:55, Eli Zaretskii <[email-masked]> wrote:

>  emacs -Q
>  C-h f proced RET
>  C-x o
>  go to to `proced-mode' hyper link and press RET
>  => No cross-reference here
>
> I think this happens because `proced-mode' is not autoloaded.

Indeed, thought the docstring of `proced-mode' contains about ten new
hyperlinks in the same situation.

Perhaps it'd be better to move most information about proced to the
docstring of `proced', from `proced-mode'. It's similar to what
happens with server, where the docstring of `server-start' is more
informative than the one for `server-mode', because `server-start' is
the primary user interface.

    Juanma